### Method

# AppStreamCompose Unit read_data

#### Declaration [src]

    GBytes*
    asc_unit_read_data (
      AscUnit* unit,
      const gchar* filename,
      GError** error
    )

#### Description [src]

Read the contents of the selected file into memory and return them.

#### Parameters

`filename`

  Type: `const gchar*`

  The file to read data for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GBytes`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.